Loading...
Searching...
No Matches
version.h File Reference
libavutil

Libavutil version macros. More...

`#include "macros.h"`

Go to the source code of this file.

## Macros

#define | AV_VERSION_INT(a, b, c)
#define | AV_VERSION_DOT(a, b, c)
#define | AV_VERSION(a, b, c)
#define | AV_VERSION_MAJOR(a)
| Extract version components from the full AV_VERSION_INT int as returned by functions like avformat_version() and avcodec_version().
#define | AV_VERSION_MINOR(a)
#define | AV_VERSION_MICRO(a)
#define | LIBAVUTIL_VERSION_MAJOR 60
#define | LIBAVUTIL_VERSION_MINOR 26
#define | LIBAVUTIL_VERSION_MICRO 100
#define | LIBAVUTIL_VERSION_INT
#define | LIBAVUTIL_VERSION
#define | LIBAVUTIL_BUILD LIBAVUTIL_VERSION_INT
#define | LIBAVUTIL_IDENT "Lavu" AV_STRINGIFY(LIBAVUTIL_VERSION)
#define | FF_API_MOD_UINTP2 (LIBAVUTIL_VERSION_MAJOR < 61)
#define | FF_API_RISCV_FD_ZBA (LIBAVUTIL_VERSION_MAJOR < 61)
#define | FF_API_VULKAN_FIXED_QUEUES (LIBAVUTIL_VERSION_MAJOR < 61)
#define | FF_API_OPT_INT_LIST (LIBAVUTIL_VERSION_MAJOR < 61)
#define | FF_API_OPT_PTR (LIBAVUTIL_VERSION_MAJOR < 61)
#define | FF_API_CPU_FLAG_FORCE (LIBAVUTIL_VERSION_MAJOR < 61)
#define | FF_API_DOVI_L11_INVALID_PROPS (LIBAVUTIL_VERSION_MAJOR < 61)
#define | FF_API_ASSERT_FPU (LIBAVUTIL_VERSION_MAJOR < 61)
#define | FF_API_VULKAN_SYNC_QUEUES (LIBAVUTIL_VERSION_MAJOR < 62)

## Detailed Description

Libavutil version macros.

Definition in file version.h.